New Subscription Payment
curl --request POST \
--url https://api.unibee.dev/merchant/subscription/payment/new \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"gatewayId": 123,
"cancelUrl": "<string>",
"countryCode": "<string>",
"currency": "<string>",
"description": "<string>",
"email": "<string>",
"externalPaymentId": "<string>",
"externalUserId": "<string>",
"gasPayer": "<string>",
"items": [
{
"amount": 123,
"amountExcludingTax": 123,
"currency": "<string>",
"description": "<string>",
"name": "<string>",
"quantity": 123,
"tax": 123,
"taxPercentage": 123,
"unitAmountExcludingTax": 123
}
],
"metadata": {},
"name": "<string>",
"planId": 123,
"redirectUrl": "<string>",
"totalAmount": 123,
"userId": 123
}
'import requests
url = "https://api.unibee.dev/merchant/subscription/payment/new"
payload = {
"gatewayId": 123,
"cancelUrl": "<string>",
"countryCode": "<string>",
"currency": "<string>",
"description": "<string>",
"email": "<string>",
"externalPaymentId": "<string>",
"externalUserId": "<string>",
"gasPayer": "<string>",
"items": [
{
"amount": 123,
"amountExcludingTax": 123,
"currency": "<string>",
"description": "<string>",
"name": "<string>",
"quantity": 123,
"tax": 123,
"taxPercentage": 123,
"unitAmountExcludingTax": 123
}
],
"metadata": {},
"name": "<string>",
"planId": 123,
"redirectUrl": "<string>",
"totalAmount": 123,
"userId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
gatewayId: 123,
cancelUrl: '<string>',
countryCode: '<string>',
currency: '<string>',
description: '<string>',
email: '<string>',
externalPaymentId: '<string>',
externalUserId: '<string>',
gasPayer: '<string>',
items: [
{
amount: 123,
amountExcludingTax: 123,
currency: '<string>',
description: '<string>',
name: '<string>',
quantity: 123,
tax: 123,
taxPercentage: 123,
unitAmountExcludingTax: 123
}
],
metadata: {},
name: '<string>',
planId: 123,
redirectUrl: '<string>',
totalAmount: 123,
userId: 123
})
};
fetch('https://api.unibee.dev/merchant/subscription/payment/new', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"data": {
"action": {},
"externalPaymentId": "<string>",
"link": "<string>",
"paymentId": "<string>",
"status": 123
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}Subscription Payment
New Subscription Payment
POST
/
merchant
/
subscription
/
payment
/
new
New Subscription Payment
Endpoint Overview
POSThttps://api.unibee.dev/merchant/subscription/payment/new
New Subscription Payment
Authorization
All UniBee Merchant API requests require authentication via API key.| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <your_api_key> |
Content-Type | Yes | application/json (for request body) |
Parameters
Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.Request body
| Name | Type | Required | Description |
|---|---|---|---|
cancelUrl | string | No | CancelUrl |
countryCode | string | No | CountryCode |
currency | string | No | Currency, either Currency&TotalAmount or PlanId needed |
description | string | No | Description |
email | string | No | Email, either ExternalUserId&Email or UserId needed |
externalPaymentId | string | No | ExternalPaymentId should unique for payment |
externalUserId | string | No | ExternalUserId, unique, either ExternalUserId&Email or UserId needed |
gasPayer | string | No | who pay the gas, merchant|user |
gatewayId | integer | Yes | GatewayId |
items | array | No | Items |
metadata | object | No | Metadata,Map |
name | string | No | Name |
planId | integer | No | PlanId, either TotalAmount&Currency or PlanId needed |
redirectUrl | string | No | Redirect Url |
totalAmount | integer | No | Total PaymentAmount, Cent, either TotalAmount&Currency or PlanId needed |
userId | integer | No | UserId, either ExternalUserId&Email or UserId needed |
Request examples
cURL
curl -X POST "https://api.unibee.dev/merchant/subscription/payment/new" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"cancelUrl": "https://example.com",
"countryCode": "",
"currency": "",
"description": "",
"email": "user@example.com",
"externalPaymentId": "id_example",
"externalUserId": "id_example",
"gasPayer": "",
"gatewayId": 0,
"items": [],
"metadata": {},
"name": "",
"planId": 0,
"redirectUrl": "https://example.com",
"totalAmount": 0,
"userId": 0
}'
Sandbox
curl -X POST "https://api-sandbox.unibee.top/merchant/subscription/payment/new" \
-H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"cancelUrl": "https://example.com",
"countryCode": "",
"currency": "",
"description": "",
"email": "user@example.com",
"externalPaymentId": "id_example",
"externalUserId": "id_example",
"gasPayer": "",
"gatewayId": 0,
"items": [],
"metadata": {},
"name": "",
"planId": 0,
"redirectUrl": "https://example.com",
"totalAmount": 0,
"userId": 0
}'
Response
Success responses return a JSON envelope withcode, data, message, redirect, and requestId. code 0 indicates success.
| Field | Type | Description |
|---|---|---|
code | integer | Response code. 0 = success |
data | object | Response payload |
data.action | object | |
data.externalPaymentId | string | The external unique id of payment |
data.link | string | |
data.paymentId | string | The unique id of payment |
data.status | integer | Status, 10-Created|20-Success|30-Failed|40-Cancelled |
message | string | Human-readable message |
requestId | string | Request ID for support |
Error handling
| HTTP status | Meaning |
|---|---|
| 400 | Bad request — invalid or missing parameters. Check message in the body. |
| 401 | Unauthorized — missing or invalid API key. |
| 404 | Not found — invalid path or resource. |
| 500 | Server error — retry with backoff. |
code in the response body is non-zero, check message for details. Use requestId when contacting support.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
GatewayId
CancelUrl
CountryCode
Currency, either Currency&TotalAmount or PlanId needed
Description
Email, either ExternalUserId&Email or UserId needed
ExternalPaymentId should unique for payment
ExternalUserId, unique, either ExternalUserId&Email or UserId needed
who pay the gas, merchant|user
Items
Show child attributes
Show child attributes
Metadata,Map
Show child attributes
Show child attributes
Name
PlanId, either TotalAmount&Currency or PlanId needed
Redirect Url
Total PaymentAmount, Cent, either TotalAmount&Currency or PlanId needed
UserId, either ExternalUserId&Email or UserId needed
⌘I

